
/*CORE STYLING*/
:root {
  /*colors*/
  --primary-color: #26203B;
  --secondary-color: #F6F9F7;
  --third-color: #5BC0BE;
  --accent-color: #B93F56;
  
  --accent-alpha: rgba(185, 63, 86, 0.15);
  /*padding*/
  --padding-low: 4px;
  --padding-med: 8px;
  --padding-high: 12px;
  /*layout*/
  --nav-height: 10vh;
}


html {
  overflow: scroll;
  overflow-x: hidden;
}


* {
  box-sizing: border-box;
}  


body {
  background-color: #D0D0D0
}

#linki {
  z-index: 10;
  position: absolute;
  text-align: center;
  bottom: 50px;
  left: 30px;
  right: 30px;

  bottom: 3.5vh;
  left: 3.5vh;
  right: 3.5vh;

  letter-spacing: 3px;
  text-decoration: none;
}

.logoooo {
  width: 2vh;
  height: 2vh;
}

a:hover, a:visited, a:link, a:active {
  text-decoration: none;
}

#email {
  font-family: "Montserrat";
  font-weight: 900;
  /*text-transform: uppercase;*/
  font-size: 1em;
  font-size: 2vh;
  text-align: center;
  z-index: 10;
  position: absolute;

  bottom: 30px;
  left: 30px;
  right: 30px;

  bottom: 1.5vh;
  left: 1.5vh;
  right: 1.5vh;

  letter-spacing: 1px;
  color: #000000;
  text-decoration: none;
  
}

#email > #eeemail {
  border-bottom: 3px solid #ef746f;
}
#duzytekst {
  word-wrap: break-word;
  font-family: "Montserrat";
  font-weight: 700;
  z-index: 10;
  /* font-size: 13vh; */
  line-height: 1em;
  margin: auto;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 210px;
  height: 70px;

/* mob */
  font-size: 10vw;
  bottom: 15vh;
  height: 15vh;

  /* bottom: 20vh;
  height: 20vh; */

  text-align: center;
  text-shadow: 0 2px 0 #ee706a, 0 4px 0 #ee6b66, 0 6px 0 #ed6761, 0 8px 0 #ed625d, 3px 8px 15px transparent, 3px 8px 5px rgba(0, 0, 0, 0.1);
}

#mniejszytekst {
  word-wrap: break-word;
  font-family: "Montserrat";
  font-weight: 700;
  z-index: 10;
  /* font-size: 13vh; */
  line-height: 1em;
  margin: auto;
  position: relative;
  top: 10px;
  /* left: 0px;
  right: 0px;*/ 
  bottom: 210px;
  height: 80px; 

/* mob */
  font-size: 4vw;
  /* bottom: 15vh; */
  /* height: 15vh; */

  /* bottom: 20vh;
  height: 20vh; */

  text-align: left;
  text-shadow: 0 2px 0 #ee706a, 0 4px 0 #ee6b66, 0 6px 0 #ed6761, 3px 8px 15px transparent, 3px 8px 5px rgba(0, 0, 0, 0.1);
}


@media screen and (orientation: landscape) {
  #duzytekst {
    font-size: 13vh;

    bottom: 20vh;
    height: 20vh;
  }
}

/* NAVBAR */

/* Style the header with a grey background and some padding */
.header {
  overflow: hidden;
  /* background-color: #f1f1f1; */
  /* padding: 20px 10px; */
  position: sticky;
}

/* Style the header links */
.header a {
  /* float: left; */
  color: #000000;
  /* text-align: center; */
  padding: 1px;
  padding-left: 12px;
  padding-right: 12px;

  /*mobile*/
  float: none;
  display: block;
  text-align: left;

  padding-left: 2vh;
  padding-right: 2vh;
  padding-top: 1vh;

  text-decoration: none;
  text-decoration-color: #ef746f;

  font-size: 18px;
  font-size: 2vh;
  
  line-height: 25px;
  line-height: 2vh;

  border-radius: 4px;

  font-family: "Montserrat";

  text-shadow: 0 2px 0 #ee706a;

  /* border-bottom: 3px solid #ef746f; */
}


.header a.active {
  background-color: dodgerblue;
  color: white;
}

.header-right {
  float: right;
  /* float: right; */
}

.header-left {
  /* float: left; */
  float: left;
}

/* Add media queries for responsiveness - when the screen is 500px wide or less, stack the links on top of each other */
@media screen and (orientation: landscape) {
  .header a {
    float: left;
    display: block;
    text-align: left;
  }
  .header-right {
    float: right;
  }

  .header-left {
    float: left;
  }
}



/* NAVBAR */



.topnav {
  background-color: #333;
  overflow: hidden;
}


.topnav a {
  float: left;
  display: block;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 25px;
  font-family: "Montserrat";
  font-weight: 700;
}


.topnav a:hover {
  background-color: #ed625d;
  color: black;
}


.topnav a.active {
  background-color: #ef746f;
  color: white;
}


.topnav .icon {
  display: none;
} 


/* @media screen and (max-width: 600px) { */
@media screen and (orientation: portrait) {
  .topnav a:not(:first-child) {display: none;}
  .topnav a.icon {
    float: right;
    display: block;
  }

  .topnav a {
    font-size: 25px;
  }
}

/* @media screen and (max-width: 600px) { */
@media screen and (orientation: portrait) {

  .topnav.responsive {position: relative;}
  .topnav.responsive a.icon {
    position: absolute;
    right: 0;
    top: 0;
  }
  .topnav.responsive a {
    float: none;
    display: block;
    text-align: left;
  }

  .topnav a {
    font-size: 50px;
  }
} 

/* END NAVBAR */


nav {

  position: sticky;
  top: 0;
  width: 100%;

  z-index: 10000;

  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

  overflow: visible;
  background-color: #D0D0D0cc;
  /* padding: 20px 10px; */
  padding-bottom: 1em;
  /* padding-top: 0.5em; */
  position: sticky;
}

nav > a > .header-right {
  /* float: right; */
  justify-content: right;


  /* float: right; */
}

nav > a > .header-left {
  /* float: left; */
  /* float: left; */
  justify-content: left;
}

nav > a {
  /* float: left; */
  color: #000000;
  /* text-align: center; */
  padding: 1px;
  padding-left: 12px;
  padding-right: 12px;

  /*mobile*/
  float: none;
  display: block;
  text-align: left;

  padding-left: 2vh;
  padding-right: 2vh;
  padding-top: 1vh;

  text-decoration: none;
  text-decoration-color: #ef746f;

  font-size: 18px;
  font-size: 2vh;
  
  line-height: 25px;
  line-height: 2vh;

  border-radius: 4px;

  font-weight: 700;
  font-family: "Montserrat";

  text-shadow: 0 2px 0 #ee706a;
}









/*PAGE CONTENT*/
section {
  overflow: hidden;
  min-height: 100vh;
  max-height: 100vh;

  
  display: flex;
  flex-flow: column;
  /* flex-flow: row; */
}

section:nth-of-type(2n) {
  /* flex-flow: row-reverse; */
  flex-flow: column;
}

section > aside, section > article {
  width: 100%;
  /* width: 50%; */
}

section > article {
  padding: var(--nav-height);
  padding-left: 12vw;
  display: flex;
  flex-flow: column;
  justify-content: center;
  font-size: 1.5em;
}

section > article > header {
  color: #ef746f;
  font-family: "Montserrat";
  font-weight: 700;
  font-size: 3em;
  line-height: 0;
  margin: 0;
  padding-bottom: 1em;
  /* margin-inline-start: 1em; */
  font-weight: normal;
}

section > article > p {
  margin: var(--padding-low);
  font-family: "Montserrat";
  font-weight: 700;
}

section > article > a, section > article > div > a {
  margin: var(--padding-low);
  font-family: "Montserrat";
  font-weight: 400;
}

section > aside > figure {
  /* width: 1000px;
  height: auto; */
  min-height: 100%;
  overflow: hidden;
  margin: 0;
  position: relative;



}
section > aside > figure > img {
  min-height: 100%;
  max-height: 80vh;
  /* width: 1000px;
  height: auto; */
  /* margin-left: auto;
  margin-right: auto; */
  /* margin-left: 100%;
  transform: translateX(-100%); */
}

/*
@media only screen and (max-width: 600px) {

  section {
    overflow: hidden;
    min-height: 50vh;
    display: flex;
    flex-flow: column;
  }
  section:nth-of-type(2n) {
    flex-flow: column;
  }
  section > aside, section > article {
    width: 100%;
    width: 50%;
  }
  section > aside {
      display: none;
  }
  section > article {
      width: 100%;
  }

  section > aside > figure, section > article {
    height: 50%;
    max-height: 50%;

  }

  section > article > header {
      font-size: 3em;
  }
}
*/


@media only screen and (orientation: landscape) {
  section {
    flex-flow: row;
  }
  
  section:nth-of-type(2n) {
    flex-flow: row-reverse;
  }
  
  section > aside, section > article {
    width: 50%;
  }

  section > article {
    font-size: 1em;
    padding-left: 6vw;
  }

  section > aside > figure > img {
    min-height: 100%;
    max-height: 140vh;
  }
}
/*
@media only screen and (max-height: 650px) {
  section {
      min-height: 50vw;
      height: auto;
  }

  section > aside {
      display: none;
  }
  section > article {
      width: 100%;
  }

  section > article > header {
      font-size: 3em;
  }
}*/

















/*

html, body {
  padding: 0;
  margin: 0;
  width: 100%;
  height: 100%; }

body {
  position: relative;
  overflow: hidden;
  background-color: #606060; }

#bg {
  z-index: 0;
  position: absolute;
  top: 0px;
  left: 0px;
  padding: 0;
  margin: 0; }

#hero {
  word-wrap: break-word;
  text-transform: uppercase;
  font-family: "Montserrat";
  font-weight: 700;
  z-index: 10;
  font-size: 140px;
  line-height: 50px;
  margin: auto;
  position: absolute;
  top: 0px;
  left: 0px;
  right: 0px;
  bottom: 0px;
  height: 70px;
  text-align: center; }
  #hero .top {
    color: #222;
    text-shadow: 0 2px 0 #ee706a, 0 4px 0 #ee6b66, 0 6px 0 #ed6761, 0 8px 0 #ed625d, 3px 8px 15px transparent, 3px 8px 5px rgba(0, 0, 0, 0.1); }
  #hero .sub {
    font-size: 18px;
    color: #ef746f; }

#mail {
  font-family: "Merriweather";
  font-weight: 900;
  text-transform: uppercase;
  font-size: 12px;
  text-align: center;
  color: #FFFFFF;
  z-index: 10;
  position: absolute;
  bottom: 30px;
  left: 30px;
  right: 30px;
  letter-spacing: 3px; }
  #mail a {
    font-size: 12px;
    color: #000000;
    text-decoration: none;
    border-bottom: 3px solid #ef746f; }

*/
